# GetMaxSpoolTransmitCount

### int GetMaxSpoolTransmitCount()

현재 설정된 Max Spool Transmit Count 값을 반환 받음.

GetMaxSpoolTransmitCount 함수는 통신 복구 후 스풀링된 데이터를 호스트로 전송할 때, 한 번에(Single Message로) 전송할 최대 메시지 개수 설정을 조회하는 함수입니다.

{% hint style="info" %}
SetMaxSpoolTransmitCount 함수를 이용하여 설정한 GetMaxSpoolTransmitCount  로 값을 반환해 줍니다.
{% endhint %}

Return Value

<table data-header-hidden><thead><tr><th width="242" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Value</td><td valign="top">Description</td></tr><tr><td valign="top">>=0</td><td valign="top">현재 설정된 Max Spool Transmit Count</td></tr></tbody></table>

```csharp
// 별도의 파라미터 없이 호출합니다.
    int nTransmitLimit = m_gem.GetMaxSpoolTransmitCount();

    if (nTransmitLimit >= 0)
    {
        Console.WriteLine($"스풀링 데이터 1회 최대 전송 개수: {nTransmitLimit}");
    }
    else
    {
        // nTransmitLimit < 0 (실패 시)
        Console.WriteLine($"Max Spool Transmit Count 조회 실패. 에러 코드: {nTransmitLimit}");
    }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/spool/getmaxspooltransmitcount.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
